App::Parcimonie::Role::HasEncoding(3pm)

NAME
App::Parcimonie::Role::HasEncoding - role to provide an Encode::Encoding objet for the codeset being used

SYNOPSIS
    use Moo;
    with 'App::Parcimonie::Role::HasEncoding';
    sub foo { $self->encoding->decode("bla") }

    See App::Parcimonie::Daemon for a real-life usage example.